/************************************************************************************
 * Projet   : DoublesPointeurs
 * Classe   : martix.h
 * Auteur   : Ottavio Buonomo
 * Desc.    : Représentation de matrice plus quelques opérations
 * Version  : 1.0
 * Date     : 12.08.2019
 ***********************************************************************************/

#ifndef DOUBLESPOINTEURS_MATRIX_H
#define DOUBLESPOINTEURS_MATRIX_H

typedef struct m_double {
    unsigned int row, col;
    double** content;
} m_double;

m_double* matrix_alloc(unsigned int row, unsigned int col);
m_double* matrix_transpose(m_double* m);
m_double* matrix_add(m_double* m1, m_double* m2);
m_double* matrix_mult(m_double* m1, m_double* m2);
void matrix_free(m_double* m);

#endif //DOUBLESPOINTEURS_MATRIX_H
